<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: CLK_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">CLK_T Struct Reference<div class="ingroups"><a class="el" href="../../da/d80/group___n_a_n_o1_x2___definitions.html">NANO102/112 Definitions</a></div></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga8dc40f2a57b0b379fd97dd6eecdba230"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga8dc40f2a57b0b379fd97dd6eecdba230">PWRCTL</a></td></tr>
<tr class="separator:ga8dc40f2a57b0b379fd97dd6eecdba230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga808b691f73f5988acf98189dc52c2258"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga808b691f73f5988acf98189dc52c2258">AHBCLK</a></td></tr>
<tr class="separator:ga808b691f73f5988acf98189dc52c2258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab95b1d5348167498809cbe3d4afa7960"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab95b1d5348167498809cbe3d4afa7960">APBCLK</a></td></tr>
<tr class="separator:gab95b1d5348167498809cbe3d4afa7960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga939046f1ff107551dfeedab4aca2c20d"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga939046f1ff107551dfeedab4aca2c20d">CLKSTATUS</a></td></tr>
<tr class="separator:ga939046f1ff107551dfeedab4aca2c20d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5d0e2a48518b0d44641f594a763b619"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae5d0e2a48518b0d44641f594a763b619">CLKSEL0</a></td></tr>
<tr class="separator:gae5d0e2a48518b0d44641f594a763b619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9cad9e775d46b22aad65c5caa3ba9cbf"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9cad9e775d46b22aad65c5caa3ba9cbf">CLKSEL1</a></td></tr>
<tr class="separator:ga9cad9e775d46b22aad65c5caa3ba9cbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga505ef1b8c8d11745b09418636c576b6f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga505ef1b8c8d11745b09418636c576b6f">CLKSEL2</a></td></tr>
<tr class="separator:ga505ef1b8c8d11745b09418636c576b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaecdde8616f159af8c864c8c111e52414"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaecdde8616f159af8c864c8c111e52414">CLKDIV0</a></td></tr>
<tr class="separator:gaecdde8616f159af8c864c8c111e52414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16bc8804dd7c329491e87a4c24dfd86c"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga16bc8804dd7c329491e87a4c24dfd86c">CLKDIV1</a></td></tr>
<tr class="separator:ga16bc8804dd7c329491e87a4c24dfd86c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0059b5b729980b9dfe3a9cb3e75ea99a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0059b5b729980b9dfe3a9cb3e75ea99a">PLLCTL</a></td></tr>
<tr class="separator:ga0059b5b729980b9dfe3a9cb3e75ea99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05aca80545648c67739ed834eaa01f79"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga05aca80545648c67739ed834eaa01f79">FRQDIV0</a></td></tr>
<tr class="separator:ga05aca80545648c67739ed834eaa01f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5c543e82031d3cb0ba48c5f9a916031"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac5c543e82031d3cb0ba48c5f9a916031">RESERVE0</a> [1]</td></tr>
<tr class="separator:gac5c543e82031d3cb0ba48c5f9a916031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aace40aeea86c8dece6918b4e1170d0"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3aace40aeea86c8dece6918b4e1170d0">WK_INTSTS</a></td></tr>
<tr class="separator:ga3aace40aeea86c8dece6918b4e1170d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e3a18ffbc3f4aee6c6fc5e8a1ae553e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1e3a18ffbc3f4aee6c6fc5e8a1ae553e">APB_DIV</a></td></tr>
<tr class="separator:ga1e3a18ffbc3f4aee6c6fc5e8a1ae553e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga331ce92b94015f5c199d9bf36ab5874a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga331ce92b94015f5c199d9bf36ab5874a">FRQDIV1</a></td></tr>
<tr class="separator:ga331ce92b94015f5c199d9bf36ab5874a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9b4363cbc9fa5e227122d0d9852830b"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac9b4363cbc9fa5e227122d0d9852830b">SP_DET</a></td></tr>
<tr class="separator:gac9b4363cbc9fa5e227122d0d9852830b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f3cf7cd93cbac6e644e7ba6192f0c6c"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9f3cf7cd93cbac6e644e7ba6192f0c6c">SP_STS</a></td></tr>
<tr class="separator:ga9f3cf7cd93cbac6e644e7ba6192f0c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup CLK System Clock Controller(CLK)
Memory Mapped Structure for CLK Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l00903">903</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
